%define upstream_name    Image-Epeg
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:    Thumbnail JPEGs at lightning speed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: pkgconfig(libjpeg)
BuildRequires: perl(Devel::PPPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl-devel

%description
Perl wrapper to the ultra-fast jpeg manipulation library "Epeg". This
library can be used to thumbnail (resize down) JPEGs, set comments and
quality. NOTE: The resize() method *must* be called with valid arguments or
get_data() and write_file() will fail.

Methods
    * * new( [filename|data ref] )

    * * get_height()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes HACKING README META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*




%changelog
* Thu Nov 30 2023 tv <tv> 0.130.0-20.mga10
+ Revision: 2011606
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.130.0-19.mga9
+ Revision: 1861965
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 0.130.0-18.mga9
+ Revision: 1797859
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.130.0-17.mga9
+ Revision: 1726719
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.130.0-16.mga8
+ Revision: 1594815
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.130.0-15.mga8
+ Revision: 1529592
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.130.0-14.mga8
+ Revision: 1433678
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.130.0-13.mga7
+ Revision: 1293201
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.130.0-12.mga7
+ Revision: 1249500
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.130.0-11.mga7
+ Revision: 1164840
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.130.0-10.mga7
+ Revision: 1149762
- Rebuild for perl ABI changes

* Mon Jul 24 2017 neoclust <neoclust> 0.130.0-9.mga7
+ Revision: 1130027
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-8.mga6
+ Revision: 1028458
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.130.0-7.mga6
+ Revision: 957513
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.130.0-6.mga6
+ Revision: 843165
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 750565
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 685118
- Mageia 5 Mass Rebuild
+ jquelin <jquelin>
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Fri Nov 08 2013 jquelin <jquelin> 0.130.0-1.mga4
+ Revision: 549953
- imported package perl-Image-Epeg

